package com.persagy.account.controller;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.redis.core.RedisTemplate;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

import com.persagy.common.utils.ResponseResult;
import com.persagy.common.utils.ResponseResultUtil;
import com.persagy.account.pojo.vo.BaseGroupVO;

import cn.hutool.core.util.BooleanUtil;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;

/**
 * 通用controller
 * 
 * @version 1.0.0
 * @company persagy 
 * @author zhangqiankun
 * @date 2021-04-26 15:29:50
 */

@Api(tags = "通用接口管理")
@RestController
@RequestMapping(value = "/common", method = RequestMethod.POST)
public class SaasCommonController {

	@Autowired
	private RedisTemplate<String, Object> redisTemplate;
	
    /**
     * 查询菜单历史记录
     */
    @ApiOperation(value = "查询菜单历史记录")
    @RequestMapping(value = "queryMenuHistory")
    public ResponseResult queryMenuHistory(@RequestBody @Validated BaseGroupVO model) {
    	Boolean result = null;
    	String accountId = model.getAccountId() + "_history_menu";
    	Long size = redisTemplate.opsForZSet().size(accountId);
    	if (size < 10) {
    		result = redisTemplate.opsForZSet().add(accountId, model, System.currentTimeMillis());
		} else {
		}
    	return BooleanUtil.isTrue(result) ? ResponseResultUtil.successResult("添加成功") : ResponseResultUtil.errorResult("添加失败");
    }
    
}
