package com.persagy.account.service;

import java.util.List;

import com.persagy.common.service.ISuperService;
import com.persagy.account.pojo.dto.SaasFunction;

/**
 * 功能信息
 * 
 * @version 1.0.0
 * @company persagy 
 * @author zhangqiankun
 * @date 2021-03-13 15:29:50
 */
public interface ISaasFunctionService extends ISuperService<SaasFunction> {

	/**
	 * 查询出该账号下某菜单的功能点信息集合，关联查询
	 * @param accountId
	 * @param groupCode
	 * @param menuId
	 * @return
	 */
	List<SaasFunction> queryAccountFunctionList(String accountId, String groupCode, String menuId);
	
	/**
	 * 查询出该角色下某菜单的功能点信息集合，关联查询
	 * @param groupCode
	 * @param roleId
	 * @param menuId
	 * @return
	 */
	List<SaasFunction> queryRoleFunctionList(String groupCode, String roleId, String menuId);

}

